CLR-BOOT-MANAGER(1)

NAME
clr-boot-manager - Boot Loader Management

SYNOPSIS

clr-boot-manager [OPTIONS...]

DESCRIPTION

clr-boot-manager exists to enable the correct maintainence of vendor kernels and appropriate garbage collection tactics over the course of upgrades. The implementation provides the means to enable correct cohabitation on a shared boot directory, such as the EFI System Partition for UEFI-booting operating systems. Special care is taken to ensure the ESP is handled gracefully, and in the instance that it is not already mounted, then clr-boot-manager will automatically discover and mount it, and automatically unmount the ESP again when it is complete.

OPTIONS

The following options are understood:

-h, --help, help
    Prints a help message.

-p, --path
    Set the base path for boot management operations.

-i, --image
    Force clr-boot-manager to run in image mode.

-n, --no-efi-update
    Force clr-boot-manager to skip efi variables update (when using shim-systemd backend).

-v, --version, version
    Print the version of clr-boot-manager and exit.

COMMANDS

The following commands are understood:

report-booted
    Report the current kernel as successfully booted. Ideally this should be invoked from the accompanying systemd unit upon boot, in order for clr-boot-manager to track known-booting kernels.

update
    Perform an update operation on the configured boot directory. This will analyze kernels available from the software distribution that are currently installed, and pick the ideal candidates for installation. This includes the current vendor selection for each kernel type, the currently running kernel, and the most recent successfully booted kernel of each type currently installed. All other kernels not fitting these parameters are then removed in accordance with vendor policy, and removed from the boot directory. For UEFI systems this is the EFI System Partition..

set-timeout [TIMEOUT IN SECONDS]
    Configure the timeout that will be used when next writing the boot loader configuration, i.e. when clr-boot-manager update is called. Setting this to a value of 0 will remove the timout entirely.

get-timeout
    Returns the currently configured timeout as set by clr-boot-manager set-timeout.

list-kernels
    Display kernels currently available for booting that were provisioned by clr-boot-manager. This command will present a sorted list of kernels with the kernel that is selected for the next boot highlighted with a * prefix.

set-kernel
    Configure the default booting kernel. This command will not prevent the update command from changing the default kernel.

EXIT STATUS

On success, 0 is returned, a non-zero failure code otherwise

CONFIGURATION

clr-boot-manager takes into account the following paths to modify its behavior:

@KERNEL_CONF_DIRECTORY@/cmdline.d/*.conf
    A set of files that will be used to modify the kernel commandline. The files can also be used to mask the vendor cmdline if the filename matches a vendor configuration file and is linked to /dev/null. The vendor configuration files are @KERNEL_DIRECTORY@/cmdline-* and @VENDOR_KERNEL_CONF_DIRECTORY@/cmdline.d/*.conf. The files should be in plain text format and each line will be appended directly to the kernel commandline.

@KERNEL_CONF_DIRECTORY@/cmdline-removal.d/*.conf
    A set of files that will be used to modify the kernel commandline by removing string matches from the final consolidated commandline (removal happens after the content from cmdline and cmdline.d/*.conf files are added). The matches are made on a per line basis so multiple different removals should be placed on their own line or file.

@KERNEL_CONF_DIRECTORY@/update_efi_vars
    A system-wide configuration to avoid clr-boot-manager changing efi variables when using shim-systemd backend (see flag --no-efi-update). This configuration file will be applied every time clr-boot-manager is called - even when called by a external tool non interactively. Possible values are: no, false.

@KERNEL_CONF_DIRECTORY@/initrd.d/*
    A set of files that will be used as additional user's freestanding initrd files. Additional initrd arguments will be added to the kernel argument list, if desired the user may mask out system installed initrd files by creating symbolic links within @KERNEL_CONF_DIRECTORY@/initrd.d pointing to /dev/null with same name of system installed files.

ENVIRONMENT
$CBM_DEBUG
    Debug level to use within clr-boot-manager. This has various levels, 1 through 6, that will affect the level of debugging information printed during execution. The default log level is 4, errors and above. 1 - Set output level to debug and above. 2 - Set output level to info and above. 3 - Set output level to success and above. 4 - Set output level to error and above. 5 - Set output level to warning and above. 6 - Set output level to fatal only.

COPYRIGHT

Copyright © 2016-2018 Intel Corporation. License: Creative Commons Attribution-ShareAlike 3.0 Unported[1].

NOTES

1.  Creative Commons Attribution-ShareAlike 3.0 Unported
    https://creativecommons.org/licenses/by-sa/3.0/